Foxit PDF SDK

Instance Methods | List of all members
FSSecurityHandler Class Reference
Inheritance diagram for FSSecurityHandler:

## Instance Methods
(FSPDFDocEncryptType) | - getSecurityType
| Get the encryption type of current security handler. More...
(id) | - init
| Constructor.
(id) | - initWithOther:
| Constructor, with another security handler object. More...
(BOOL) | - isEmpty
| Check whether current object is empty or not. More...

## Detailed Description

Class FSSecurityHandler is the base class that represents a security hander used for encrypting PDF document. It has following derived classes:

- Class FSStdSecurityHandler is used for password encryption.
- Class FSCertificateSecurityHandler is used for certificate encryption.
- Class FSDRMSecurityHandler is used for DRM encryption.
- Class FSCustomSecurityHandler is used for custom encryption.
- Class FSRMSSecurityHandler is used for RMS encryption.

To set a security handler to a PDF document, please call function FSPDFDoc::setSecurityHandler:, then the security handler will take effect in later saving process. To get the security handler used for a PDF document, please call function FSPDFDoc::setSecurityHandler:.

See also
  FSStdSecurityHandler
  FSCertificateSecurityHandler
  FSDRMSecurityHandler
  FSCustomSecurityHandler
  FSRMSSecurityHandler
  FSPDFDoc

## Method Documentation

## ◆ getSecurityType()

- (FSPDFDocEncryptType) getSecurityType |  |  |

Get the encryption type of current security handler.

Returns
  The encryption type. If current security handler object does not represent any specified type of security handler, it would return FSPDFDocEncryptUnknown.

## ◆ initWithOther:()

- (id) initWithOther: |  | (FSSecurityHandler*) | other |

Constructor, with another security handler object.

Parameters

  [in] | other | Another security handler object.

Reimplemented in FSRMSSecurityHandler, FSCustomSecurityHandler, FSDRMSecurityHandler, FSCertificateSecurityHandler, and FSStdSecurityHandler.

## ◆ isEmpty()

- (BOOL) isEmpty |  |  |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  YES means current object is empty, while NO means not.